[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.OnCircularException

Event handler signalled when a circular exception occurs before the application is halted.

## Declaration

Source position: forms.pp line 1769

`public property TApplication.OnCircularException : TExceptionEvent read FOnCircularException write FOnCircularException;`

## Description

OnCircularException is a TExceptionEvent property with the event handler signalled when a circular exception occurs in an application. It is signalled from the HandleException method when another Exception occurs within the exception handler.

## See also

TApplication.HandleException |  | HandleException method for handling an exception; attempts to maintain program execution if possible, otherwise exits gracefully.
TExceptionEvent |  | Defines an event handler signalled to perform exception handling in an application.